Subject: [TLS] Fwd: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-01.txt

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 26 Nov 2020 20:01:24 -0800

Hi everyone,

As you may recall, RFC 8446 Appendix C.5 has a brief mention that "the
channel bindings described in [RFC5929] are not defined for TLS 1.3" with
no further details.

The draft mentioned below rectifies this situation, defining a tls-exporter
channel binding that should be applicable to all versions of TLS, including
1.3.  It would be great if people could review this (5 page) document over
at kitten@ so that it can move forward -- there is already at least one
draft (draft-ietf-nfsv4-rpc-tls) stuck in the RFC Editor's queue waiting
for it.

Thanks,

Ben

On Wed, Nov 18, 2020 at 06:47:02PM -0800, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Common Authentication Technology Next Generation WG of the IETF.
> 
>         Title           : Channel Bindings for TLS 1.3
>         Author          : Sam Whited
> 	Filename        : draft-ietf-kitten-tls-channel-bindings-for-tls13-01.txt
> 	Pages           : 5
> 	Date            : 2020-11-18
> 
> Abstract:
>    This document defines a channel binding type, tls-exporter, that is
>    compatible with TLS 1.3 in accordance with RFC 5056, On Channel
>    Binding.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-01.html
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-01
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> Kitten mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/kitten